libzypp: zypp/IdString.h File Reference

libzypp 17.38.6

IdString.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <string_view>`
`#include <unordered_set>`
`#include <boost/utility/string_ref_fwd.hpp>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/Hash.h>`
`#include <zypp/sat/detail/PoolDefines.h>`

Go to the source code of this file.

## Classes
class | zypp::IdString
| Access to the sat-pools string space. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zypp::IdStringSet = std::unordered_set<IdString>

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const IdString &obj) ZYPP_API
| relates: IdString Stream output
std::ostream & | zypp::dumpOn (std::ostream &str, const IdString &obj) ZYPP_API
| relates: IdString Stream output
bool | zypp::operator== (const IdString &lhs, const IdString &rhs)
| relates: IdString Equal
bool | zypp::operator== (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator== (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator== (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator== (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator!= (const IdString &lhs, const IdString &rhs)
| relates: IdString NotEqual
bool | zypp::operator!= (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator!= (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator!= (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator!= (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator< (const IdString &lhs, const IdString &rhs)
| relates: IdString Less
bool | zypp::operator< (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator< (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator< (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator< (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator<= (const IdString &lhs, const IdString &rhs)
| relates: IdString LessEqual
bool | zypp::operator<= (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator<= (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator<= (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator<= (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator> (const IdString &lhs, const IdString &rhs)
| relates: IdString Greater
bool | zypp::operator> (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator> (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator> (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator> (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator>= (const IdString &lhs, const IdString &rhs)
| relates: IdString GreaterEqual
bool | zypp::operator>= (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator>= (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator>= (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::operator>= (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| ZYPP_DEFINE_ID_HASHABLE (::zypp::IdString)

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | ::zypp::IdString |  | ) |